Subject: [dhcwg] Muti-homing support.

From: HYUN WOOK CHA <[email-masked]>
Date: Thu, 31 Jul 2008 17:09:08 +0000 (GMT)

Hello, folks.

As I see needs on multi-homing support for DHCPv6 clients during discussion Woj and David Hankins, I would like to talk about this topic.

IMHO, current DHPCv6 specification does not support multi-homing scenario. I guess it is the case for DHCPv4.
I want to give two example figures.

The first one is single server case.
         Server
           | 
  |----------------| 
RelayA            RelayB 
  |----------------|
           |
         Client 
RelayA and RelayB are collocated in different routers which are advertising different prefixes(PA, PB) with A flag cleared and M flag set.
Server receives two SOLITs relayed through RelayA, RelayB if one SOLICIT is sent by client and replies with two ADVERTISE 
containing different IA addresses from PA, PB in IA_NA options respectively.
Then, client sends one REQUEST which is also relayed through both relays. 
Then, server assigns different IA addresses from PA, PB for two REQUESTs and responds with two REPLY with assigned IA addresses.
My concern is that if server sees both IA address from PA and PB in REQUEST or RENEW from client, it will respond with two REPLYs one of which is for relayed message through RelayA and says that IA address from PB is not appropriate to that link and the other of which is for relayed message through RelayB and says that IA address from PA is not appropriate to that link.
Thus, client is assigned with only one IA address in REPLY received earlier.

The second one is multiple server case.
   ServerA        ServerB
     |                     |
  RelayA          RelayB
     |--------------|
            |
          client
In this case, client should choose only one server according to RFC3315.
If serverA and ServerB are serving the same network, this is fine. IMHO, if two servers have different prefix pools, it is more useful to let client contact both servers and congiure addresses assinged by servers simultaneously because of advantages of multi-homing.
This is also the case of IA_PD options as well as DHCPv4. 

Any comments or advices will be appreciated.

Thank you.

Joseph

   

  
_______________________________________________
dhcwg mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/dhcwg